chat "elfin"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		"Oh no! No more big, mean warriors who didn't wash their feet this morning!";
                "Hi there.";
                "EEEK! What is this place? What am I doing here?";
                "Why ~didn't they clean this place up before I came here?";
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Bye!";
                "Can I go back to Elfland now?";
                "I hope ~you all brushed your teeth when I come back.";
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{                
                "NO! Not ", 4," again!";
                "This place used to be a mess. And it still is.";
                "With some flowers and some lovely trees over there, this would be a great place!";
                "EEEK! Scary people!";
		// 0 = bot name
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
                "Hey, I'm not last! I'M NOT LAST, WHEEEE!";
                "~You're ugly and your feet smell, ", 2,"!";
                "I'm not strong enough for this. Can I go home now?";
                "Next time, I'll bring my Guardian Dragon!";
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Hah! How does it feel to be defeated by a little elf girl?";
                "~It's getting fun!";
                "I'm in the first place! WHEEEE!";
                "Nature strikes back!";
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
                "BOOOOHOOOHOOO!";
                "I think I'm gonna cry now.";
                "I wanna go home!";
                "Pigs.";
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"And now I don't like you anymore!";
                "I never liked you anyway.";
                "How could you? I'm just a defenseless little elf!";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Stop hurting me, ~you barbarian!";
                "Ouchie.";
                "Do ~you like to shoot at little elves?";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
                "Oh my. I almost killed someone.";
                "Oopsie. My boomstick went off!";
                "Did I scare you? I hope not!";
                "Here kitty kitty kitty.";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"I should have used a teleport spell instead of that scary modern thing.";
                "Oh, what happened?";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"It didn't seem such a long way down.";
                "Not all elves can fly.";
                "In this flat form, I can sneak up on you without being noticed!";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"~It's even hotter than I thought!";
                "Ouchie...ouchie...hot...hot...";
                "AAAARGH! Water, water!";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"What a world ... what a world.";
		"The color looked so nice!";
                "EEEEEW, this is gross!";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Blub blub blub.";
                "I'm not dead! This is my new disguise!";
                "~It was so cold and so deep!";
                "Well, I'm not a water spirit, ok?";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
                "Oopsie. My mistake!";
                "I wanted to see whether this would take me back to Elfland or not.";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
                "BOOOHOOOHOOO! Big mean warriors are hammering on me!";
                "~That's a primitive looking weapon. Reminds me of Elfland.";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"WHAAAA! I was stung by an eight feet tall bee!";
                "EEEK! ~You made a hole in my dress!";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
                "I was just watching the pretty green lights.";
                "Do I scare ~you so much ~you have to use THAT thing?";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
                "You barbarian!";
                "How could you? I'm just a little elf!";
                "Beware, ", 0,", for my Guardian Dragon is getting really angry now!";
                "EEEK! A big, smelly warrior!";
                "Now I'm all dirty!";
                "Why ~don't they make these guns my size? ~They're much too heavy!";
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
                "~You just killed a tiny elf girl. Feeling macho allready?";
                "~You're lucky, ", 0,". My Guardian Dragon seems to like ~you.";
                "Now if ~you brush your teeth and start shooting somebody else, I might even start to like ~you.";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
	        "That was beautiful, like art.";
	        "I float like a butterfly and sting like a bee!";
                "This magic wand is a lot better than the ~one I used to have!";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
	        "Tag, ~you're it!";
                "I only wanted to hug you!";
                "Oopsie. I don't know my own strenght!";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
	        "I'm sorry, was this spot taken?";
                "~That's ~one way to become one with the universe.";
                "I may be small, but I'm big enough to telefrag ~you!";
                "~You're even uglier from the inside than from the outside!";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self with a weapon of craters
	{
		"Maybe ~you ought to take up chess.";
		"Have this magic potion. ~It ~will make you feel worse.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
                "Mind if I keep the skull? I'm making a chess set.";
                "So ~you're not as big and mean as I thought, warrior.";
                "A fully trained and armed warrior who gets killed by a little elf? HAHAHA!";
                "Ugh, you smell bad!";
                "EEEK! A big mean warrior! A dead ~one.";
                "Laa dee daa! I just offed myself an ugly warrior!";
                "See? I'm not as cute as I look!";
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
                "Become ~one with nature and become an even better warrior!";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
                "EEEK! Scary people!";
                "These warriors are getting uglier every day!";
                "Pigs.";                              
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
                "EEEEW! My boots are getting all muddy!";
                "Hey! No sneaky peaky under my skirt!";
                "~There's never a Guardian Dragon when you need ~one.";
                "What am I doing here? I wanna go back to Elfland!";
                "I'm not as cute as I look.";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

} //end elfin chat
